<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>PureMart Checkout</title>
    <style>
        .row {
            display: -ms-flexbox; 
            display: flex;
            -ms-flex-wrap: wrap;
            flex-wrap: wrap;
            margin: 0 -16px;
        }

        .col-25 {
            -ms-flex: 25%;
            flex: 25%;
        }

        .col-50 {
            -ms-flex: 50%;
            flex: 50%;
        }

        .col-75 {
            -ms-flex: 75%;
            flex: 75%;
        }

        .col-25,
        .col-50,
        .col-75 {
            padding: 0 16px;
        }

        .container {
            background-color: #f2f2f2;
            padding: 5px 20px 15px 20px;
            border: 1px solid lightgrey;
            border-radius: 3px;
        }

        input[type=text] {
            width: 92%;
            margin-bottom: 20px;
            padding: 12px;
            border: 1px solid #ccc;
            border-radius: 3px;
        }

        .rfidInput{
            /* display: none; */
            padding: 12px;
            border: 1px solid #ccc;
            border-radius: 3px;
        }

        label {
            margin-bottom: 10px;
            display: block;
        }

        .icon-container {
            margin-bottom: 20px;
            padding: 7px 0;
            font-size: 24px;
        }

        .btn {
            background-color: #04AA6D;
            color: white;
            padding: 12px;
            margin: 10px 0;
            border: none;
            border-radius: 3px;
            cursor: pointer;
            font-size: 17px;
        }

        .btn:hover {
            background-color: #45a049;
        }

        span.price {
            float: right;
            color: grey;
        }
        @media (max-width: 800px) {
        .row {
            flex-direction: column-reverse;
        }
        .col-25 {
            margin-bottom: 20px;
        }
        }

        table {
            font-family: arial, sans-serif;
            border-collapse: collapse;
            width: 100%;
            margin-bottom: 10px;
        }

        td, th {
            border: 1px solid #dddddd;
            text-align: left;
            padding: 6px;
        }

        tr:nth-child(even) {
            background-color: #f2f2f2;
        }

        .btnRemove {
            background-color: #195B6A; 
            border: none; 
            color: white; 
            padding: 8px 12px; 
            text-decoration: none; 
            font-size: 14px; 
            margin: 2px; 
            cursor: pointer;
        }

    </style>
</head>
<body>
    <div class="row">
        <div class="col-25">
            <div class="container">
              <h1>Cart
                <span class="price" style="color:black">
                  <i class="fa fa-shopping-cart"></i>  
                </span>
              </h1>
              <input class="rfidInput" id="rfidInput" placeholder="RFID Value">
              <table id="productTable">
                  <thead>
                       <tr>
                           <th>Product RFID</th>
                           <th>Product Name</th>
                           <th>Product Price</th>
                           <th>Remove Item</th>
                       </tr>
                  </thead>
                   <tbody onload="getProductByRfid()">

                   </tbody>
               </table>
               <table class="totalPrices">
                  <tr>
                      <th>Total Price:</th>
                  </tr>
                  <tr>
                      <td id="totalPrice">0</td>
                  </tr>
              </table>
            </div>
            <input type="submit" value="Continue to checkout" class="btn">
        </div>
    </div> 

      <script>
        function removeItem(button) {
          var row = button.parentNode.parentNode;
          row.parentNode.removeChild(row);
          updateTotalPrice();
        }
        
        function updateTotalPrice() {
          var totalPrice = 0;
          var priceCells = document.querySelectorAll('#productTable tbody td:nth-child(3)');
          priceCells.forEach(function(cell) {
            totalPrice += parseFloat(cell.textContent);
          });
          document.getElementById('totalPrice').textContent = totalPrice.toFixed(2);
        }
        updateTotalPrice();
        
        
        function removeItem(button) {
          var row = button.parentNode.parentNode;
          row.parentNode.removeChild(row);
          updateTotalPrice();
        }
        
        function updateTotalPrice() {
          var totalPrice = 0;
          var priceCells = document.querySelectorAll('#productTable tbody td:nth-child(3)');
          priceCells.forEach(function(cell) {
            totalPrice += parseFloat(cell.textContent);
          });
          document.getElementById('totalPrice').textContent = totalPrice.toFixed(2);
        }
        updateTotalPrice();

    function getProductByRfid() {
        var rfidInput = document.getElementById('rfidInput');
        var intervalId;
        intervalId = setInterval(function() {
            var rfidID = rfidInput.value.trim();
            if (!rfidID) {
                console.error("RFID value is empty!");
                return;
            }

                var xhttp = new XMLHttpRequest();
                xhttp.onreadystatechange = function() {
                    if (this.readyState == 4) {
                        if (this.status == 200) {
                            var data = JSON.parse(this.responseText);
                            if (data && data.rfidID) {
                                var tableBody = document.querySelector('#productTable tbody');
                                var newRow = tableBody.insertRow();
                                var rfidCell = newRow.insertCell(0);
                                var nameCell = newRow.insertCell(1);
                                var priceCell = newRow.insertCell(2);
                                var removeCell = newRow.insertCell(3);
                                rfidCell.textContent = data.rfidID;
                                nameCell.textContent = data.name;
                                priceCell.textContent = data.price;
                                var removeButton = document.createElement('button');
                                removeButton.textContent = 'Remove';
                                removeButton.className = 'btnRemove';
                                removeButton.onclick = function() {
                                    removeItem(this);
                                };
                                removeCell.appendChild(removeButton);
                                updateTotalPrice();
                                rfidInput.value = '';
                            } else {
                                console.error("No product is registered for the provided RFID!");
                                rfidInput.value = '';
                            }
                        } else {
                            console.error("Error fetching product data. Status code: " + this.status);
                        }
                    }
                };
                xhttp.open("GET", "https://despro2-backend.onrender.com/api/product/get/one/" + rfidID, true);
                xhttp.send();
            }, 1000);
    }
    getProductByRfid();

        function confirmReset() {
            var confirmation = confirm("Reloading the page will reset all data. Are you sure you want to continue?");
            if (confirmation) {
                window.location.reload();
            }
        }

        window.onbeforeunload = function() {
            return "Reloading the page will reset all data. Are you sure you want to continue?";
        };


        </script>
        
</body>
</html>